package domain

type AlibabaHmMarketingVersionGenerateMarketResult struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Data *int64 `json:"data,omitempty" `

	/*
	   errorCode     */
	ResultCode *string `json:"result_code,omitempty" `

	/*
	   success     */
	IsSuccess *bool `json:"is_success,omitempty" `
}

func (s *AlibabaHmMarketingVersionGenerateMarketResult) SetMessage(v string) *AlibabaHmMarketingVersionGenerateMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingVersionGenerateMarketResult) SetData(v int64) *AlibabaHmMarketingVersionGenerateMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingVersionGenerateMarketResult) SetResultCode(v string) *AlibabaHmMarketingVersionGenerateMarketResult {
	s.ResultCode = &v
	return s
}
func (s *AlibabaHmMarketingVersionGenerateMarketResult) SetIsSuccess(v bool) *AlibabaHmMarketingVersionGenerateMarketResult {
	s.IsSuccess = &v
	return s
}
